<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer libav 1.0 Plugins Reference Manual: gstavutils</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer libav 1.0 Plugins Reference Manual">
<link rel="up" href="ch01.html" title="gst-libav Base and Support classes">
<link rel="prev" href="gst-libav-plugins-gstavprotocol.html" title="gstavprotocol">
<link rel="next" href="gst-libav-plugins-GstFFMpegVidDec.html" title="GstFFMpegVidDec">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-libav-plugins-gstavutils.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-libav-plugins-gstavutils.object-hierarchy" class="shortcut">Object Hierarchy</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-libav-plugins-gstavprotocol.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-libav-plugins-GstFFMpegVidDec.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-libav-plugins-gstavutils"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-libav-plugins-gstavutils.top_of_page"></a>gstavutils</span></h2>
<p>gstavutils</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavutils.functions"></a><h2>Functions</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<span class="returnvalue">int</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavutils.html#gst-ffmpeg-avpicture-get-size" title="gst_ffmpeg_avpicture_get_size ()">gst_ffmpeg_avpicture_get_size</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">int</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavutils.html#gst-ffmpeg-avpicture-fill" title="gst_ffmpeg_avpicture_fill ()">gst_ffmpeg_avpicture_fill</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavutils.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">
</pre>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavutils.description"></a><h2>Description</h2>
<p>
</p>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavutils.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gst-ffmpeg-avpicture-get-size"></a><h3>gst_ffmpeg_avpicture_get_size ()</h3>
<pre class="programlisting"><span class="returnvalue">int</span>
gst_ffmpeg_avpicture_get_size (<em class="parameter"><code><span class="type">int</span> pix_fmt</code></em>,
                               <em class="parameter"><code><span class="type">int</span> width</code></em>,
                               <em class="parameter"><code><span class="type">int</span> height</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.8.6.2.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-avpicture-fill"></a><h3>gst_ffmpeg_avpicture_fill ()</h3>
<pre class="programlisting"><span class="returnvalue">int</span>
gst_ffmpeg_avpicture_fill (<em class="parameter"><code><span class="type">AVPicture</span> *picture</code></em>,
                           <em class="parameter"><code><span class="type">uint8_t</span> *ptr</code></em>,
                           <em class="parameter"><code><span class="type">enum PixelFormat</span> pix_fmt</code></em>,
                           <em class="parameter"><code><span class="type">int</span> width</code></em>,
                           <em class="parameter"><code><span class="type">int</span> height</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.8.6.3.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavutils.other_details"></a><h2>Types and Values</h2>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>